Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
Class UberCompileTask.GenStubsAdapter

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.codehaus.groovy.ant.CompileTaskSupport
                      org.codehaus.groovy.ant.GenerateStubsTask
                          org.codehaus.groovy.ant.UberCompileTask.GenStubsAdapter

    class UberCompileTask.GenStubsAdapter
    extends GenerateStubsTask

Field Summary

Fields inherited from class CompileTaskSupport
classpath, config, destdir, failOnError, log, src

Constructor Summary
`UberCompileTask.GenStubsAdapter()`

Method Summary
`FileSet` | `getFileSet()`
`String` | `getTaskName()`

Methods inherited from class GenerateStubsTask
compile

Methods inherited from class CompileTaskSupport
compile, createClassLoader, createClasspath, createConfiguration, createSrc, execute, getClasspath, getFailonerror, getSrcdir, handleException, setClasspath, setClasspathRef, setDestdir, setFailonerror, setSrcdir, validate

Methods inherited from class MatchingTask
add, setProject, setIncludes, addNot, addAnd, addOr, addContains, createInclude, createIncludesFile, createExclude, createExcludesFile, createPatternSet, XsetItems, setExcludes, XsetIgnore, setDefaultexcludes, setIncludesfile, setExcludesfile, setCaseSensitive, setFollowSymlinks, hasSelectors, selectorCount, getSelectors, selectorElements, appendSelector, addSelector, addNone, addMajority, addDate, addSize, addFilename, addCustom, addPresent, addDepth, addDepend, addContainsRegexp, addDifferent, addType, addModified, log, log, log, log, init, execute, maybeConfigure, getTaskName, getOwningTarget, setRuntimeConfigurableWrapper, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, reconfigure, perform, bindToOwner, clone, getLocation, getDescription, setLocation, setDescription, getProject, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Task
log, log, log, log, init, execute, maybeConfigure, getTaskName, getOwningTarget, setRuntimeConfigurableWrapper, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, reconfigure, perform, bindToOwner, clone, getLocation, getDescription, setLocation, setDescription, getProject, setProject, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class ProjectComponent
clone, log, log, getLocation, getDescription, setLocation, setDescription, getProject, setProject, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### UberCompileTask.GenStubsAdapter

    UberCompileTask.GenStubsAdapter()

Method Detail

### getFileSet

    public FileSet getFileSet()

### getTaskName

    public String getTaskName()

Copyright © 2003-2009 The Codehaus. All rights reserved.